conditionalGmrf {geostatsp} | R Documentation

## Conditional distribution of GMRF

### Description

Distribution of Gaussian Markov Random Field conditional on data observed with noise on the same grid.

### Usage

    conditionalGmrf(param, Yvec, Xmat, NN,
    	template = NULL, mc.cores = 1,
    	cellsPerLoop = 10, ...)

### Arguments

`param` | vector of named parameters
`Yvec` | vector of observed data, or matrix with each column being a realisation.
`Xmat` | Matrix of covariates.
`NN` | nearest neighbour matrix
`template` | Raster on which the GMRF is defined
`mc.cores` | passed to `mcmapply`
`cellsPerLoop` | number of cells to compute simultaneously. Larger values consume more memory but result in faster computation.
`...` | additional arguments passed to `maternGmrfPrec`

### Value

Raster image with layers containing conditional mean and standard deviation.

### Author(s)

Patrick Brown

### See Also

`maternGmrfPrec`, `lgm`

[Package geostatsp version 1.7.8 Index]